Subject: Re: [netconf] NACM and draft-ietf-netconf-notification-capabilities-07

From: Balázs Lengyel <[email-masked]>
Date: Wed, 4 Dec 2019 09:34:29 +0000

Se below, BALAZS

From: netconf <[email-masked]> On Behalf Of Andy Bierman
Sent: 2019. november 18., hétfő 23:19
To: Ladislav Lhotka <[email-masked]>
Cc: Netconf <[email-masked]>
Subject: Re: [netconf] NACM and draft-ietf-netconf-notification-capabilities-07

On Mon, Nov 18, 2019 at 2:28 AM Ladislav Lhotka <[email-masked] <mailto:[email-masked]> > wrote:

On Mon, 2019-11-18 at 17:34 +0800, Benoit Claise wrote:
> Dear all,
> 
> Coming back to Rob Wilton's message at the mike about NACM reference to draft-
> ietf-netmod-rfc6991-bis-02
> From draft-ietf-netconf-notification-capabilities-07
>    import ietf-netconf-acm  { prefix nacm; }
>    import ietf-yang-push    {
>      prefix yp;
>      description
>        "This module requires ietf-yang-push to be implemented.";
>    }
> 
> Along the same lines, I believe it makes sense to add "This module does not
> require NACM to be implemented."

This is a rather ad-hoc way to declare module conformance and dependencies.

Not sure it is even correct.

BALAZS: IMHO it is correct, do you see any bugs in it?
Yes it is ad-hoc. I was asked by reviewers to provide this information: whether an import is import-only or import-must-be-implemented.

I agree, a formal, common method to provide this info would be better, but plain text is not incorrect and it is still better than nothing.

In this draft it looks like all the objects that are related to yang-push

use "if-feature yp:on-change".  So does this module really require yang-push if 

feature on-change is not supported?

BALAZS: Yes yang-push defines the other capabilities that relate to periodic subscriptions. Those are relevant even

For nacm, only a typedef is used and no objects are used at all.

It seems clear that if the importing module augments the imported module,

or if leafref nodes exist that point to the imported module, then it is supposed to be implemented.

Andy

Yes, see also my Yang Doctor review:

https://datatracker.ietf.org/doc/review-ietf-netconf-notification-capabilities-05-yangdoctors-lc-lhotka-2019-10-29/

> 
> Thinking some more about it... Actually, I don't like "This module requires
> ietf-yang-push to be implemented."
> What if I want to implement this draft for gRPC and not YANG-push?
> This capability should be independent of the streaming protocol IMO

This draft (of which you are a co-author:-) states explicitly that the
capabilities are 'related to "Subscription to YANG Datastores" (YANG-Push)'.

Lada

> 
> Regards, Benoit
> _______________________________________________
> netconf mailing list
> [email-masked] <mailto:[email-masked]> 
> https://www.ietf.org/mailman/listinfo/netconf
-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

_______________________________________________
netconf mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/netconf